import Debug from 'debug';
export interface Logger {
    logTitle(message: string, level?: number): void;
    logTable(table: any): void;
}
export declare class LocalLogger implements Logger {
    private db;
    constructor(db: Debug.Debugger);
    logTitle(message: string, _level?: number): void;
    logTable(table: any): void;
}
export declare class GithubLogger implements Logger {
    private summaryFilename;
    constructor();
    logTitle(message: string, level?: number): void;
    logTable(table: any): void;
}
export declare function getLogger(dbg: Debug.Debugger | undefined): Logger;
